# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'puppet_x/eos/version'

Gem::Specification.new do |spec|
  spec.name          = 'puppet_x_eos_eapi'
  spec.version       = PuppetX::Eos::VERSION
  spec.authors       = ['Jeff McCune', 'Peter Sprygada']
  spec.email         = ['jeff@puppetlabs.com']
  spec.description   = 'Arista eAPI Ruby Library'
  spec.summary       = 'This Gem library provides a Ruby interface '\
                       'to the Arista EOS REST API'
  spec.homepage      = 'https://github.com/arista-eosplus/puppet_x_eos_eapi'
  spec.license       = 'Apache 2.0'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(/^bin\//) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(/^(test|spec|features)\//)
  spec.require_paths = ['lib']

  spec.add_dependency 'net_http_unix'

  spec.add_development_dependency 'bundler', '~> 1.3'
  spec.add_development_dependency 'yard'
  spec.add_development_dependency 'redcarpet'
  spec.add_development_dependency 'rake', '~> 10.1.0'
  spec.add_development_dependency 'rspec', '~> 3.0.0'
  spec.add_development_dependency 'rspec-mocks', '~> 3.0.0'
  spec.add_development_dependency 'simplecov'
end
