require 'spec_helper'

describe PuppetX::Eos::ModuleBase do
  let(:api) { PuppetX::Eos::Eapi.new }

  describe '#running_configuration' do
    let :result do
      [
        {
          'output'   => "! Fake running-config",
          'warnings' => ['Command: show running-config']
        }
      ]
    end

    before :each do
      allow(api).to receive(:enable).with('show running-config', format: 'text')
        .and_return(result)
    end

    subject { described_class.new(api).running_configuration }

    it { is_expected.to be_a String }
    it { is_expected.to eq(result.last['output']) }
  end
end
