# encoding: utf-8

require 'spec_helper'

describe 'PuppetX::Eos::EapiProviderMixin' do
  let :provider do
    klass = Class.new do
      include PuppetX::Eos::EapiProviderMixin
      extend PuppetX::Eos::EapiProviderMixin
    end
    klass.new
  end

  describe '#conf' do
    subject { provider.conf }

    context 'with a configuration file' do
      before :each do
        file = Pathname.new(File.join(fixture_dir, 'fixture_eapi_conf.yaml'))
        allow(Pathname).to receive(:new).with('/mnt/flash/eapi.conf')
          .and_return(file)
      end
      it { is_expected.to include(hostname: 'localhost') }
      it { is_expected.to include(port: 80) }
    end

    context 'without a configuration file' do
      before :each do
        allow(Pathname).to receive(:new).with('/mnt/flash/eapi.conf')
          .and_return(Pathname.new('/does/not/exist'))
      end
      it { is_expected.to eq ({}) }
    end
  end
end
